realtek gigabit ethernet not recognised on feisty

Bug #79626 reported by Secret on 2007-01-16
26
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Low
Colin Ian King
linux-source-2.6.20 (Ubuntu)
Medium
Unassigned

Bug Description

If I plug-in my internet connection on the Realtek gigabit NIC that's on my asus P5B motherboard ubuntu can't find a eth0 connection. Whatever I try with "ifconfig" or "ifconfig eth0", this port is simply not recognised it seems.

Brian Murray (brian-murray) wrote :

What type of Realtek network adapter do you have? You can find out by typing lspci -vv in a terminal. What version of Ubuntu are you using and kernel? You can find out the kernel version by executing uname -a in a terminal.

Secret (ernst1700) wrote :

This is the outcome of typing lspci -vv in a terminal
Ethernet controller: Realtek Semiconductor Co., Ltd. Unknown device 8168 (rev 01)
        Subsystem: ASUSTeK Computer Inc. Unknown device 81aa
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 0, Cache Line Size: 32 bytes
        Interrupt: pin A routed to IRQ 177
        Region 0: I/O ports at b800 [size=256]
        Region 2: Memory at feaff000 (64-bit, non-prefetchable) [size=4K]
        Expansion ROM at feac0000 [disabled] [size=128K]
        Capabilities: <access denied>

I am using Edgy at the moment as this problem was to obstructive to continue using Feisty, so I don't know if this information is still of any value then...
When I found this bug I was using kubuntu herd 2. I don't know what kernel herd 2 is using, or where i can find out about it. But I'm sure you guys can find out somewhere :)
Thank you for taking time to look after this bug. If you need more information... please ask

Brian Murray (brian-murray) wrote :

As I understand it you are saying that your network adapter works in Edgy but did not work with Feisty Herd 2, is that correct?

Secret (ernst1700) wrote :

Yes, that is correct

Changed in linux-source-2.6.20:
assignee: brian-murray → nobody
Kyle McMartin (kyle) wrote :

This card should be supported by the "r8169" driver. Please help us investigate why it isn't working.

Please attach the output of "lspci -vvn", "lsmod", and "dmesg" with the "r8169" driver loaded. (ie: modprobe r8169 to load it.)

Cheers,
 Kyle

Kyle McMartin (kyle) wrote :

Assigning to me, so I can track the status.

Changed in linux-source-2.6.20:
assignee: nobody → kyle
Kyle McMartin (kyle) wrote :

Also, can you recall which module is loaded in edgy for this card? Was it the "r1000" module?

Secret (ernst1700) wrote :

Ok I typed in "lspci -vvn", "lsmod", and "dmesg", and there is a lot of output, so I decided to put all the content in a text file. As I'm not that technical I really don't know what i'm talking about, so maybe I have put too much output in it (it's 18 pages long), but I really didn't know if I could skip some pieces.

I think it's valuable to state that the eth0 port is recognized in Edgy but not in Feisty, all these commands are typed into a working Edgy terminal, as I formatted my Feisty partitions.

How can I check whether the r1000 module is loaded? As I already said, I'm not that technical, but if I can help, I'm glad to do so.

Kyle McMartin (kyle) wrote :

Please attach the output of "lsmod" from the working edgy instalation, so we can see which module is loaded. Plain text is fine. You can run the following command:

lsmod >~/lsmod.edgy

and attach the "lsmod.edgy" file in your home directory to this bug directly.

Cheers,
 Kyle

Secret (ernst1700) wrote :
Download full text (3.4 KiB)

Please attach the output of "lsmod" from the working edgy instalation, so we can see which module is loaded.

Actually I already did this... and the output is (starting on page 7) in the document I already uploaded in my previous comment.
Anyway...in case something has changed in the last couple of days, I pasted the output of lsmod again, but this time not in document but as "plain text" in this comment.

Module Size Used by
nls_cp437 6912 1
isofs 38076 1
udf 89348 0
rfcomm 42260 0
l2cap 27136 5 rfcomm
bluetooth 53476 4 rfcomm,l2cap
speedstep_centrino 9760 1
cpufreq_userspace 5408 0
cpufreq_stats 7744 0
freq_table 6048 2 speedstep_centrino,cpufreq_stats
cpufreq_powersave 2944 0
cpufreq_ondemand 8876 2
cpufreq_conservative 8712 0
video 17540 0
tc1100_wmi 8324 0
sony_acpi 6412 0
sbs 16804 0
pcc_acpi 14080 0
i2c_ec 6272 1 sbs
hotkey 11556 0
dev_acpi 12292 0
container 5632 0
button 7952 0
battery 11652 0
asus_acpi 17688 0
ac 6788 0
ipv6 272288 10
lp 12964 0
af_packet 24584 2
tsdev 9152 0
nvidia 4554836 12
snd_hda_intel 20116 3
snd_hda_codec 164608 1 snd_hda_intel
usbhid 45152 0
i2c_core 23424 2 i2c_ec,nvidia
sg 37404 0
r1000 17792 0
psmouse 41352 0
snd_pcm_oss 47360 0
snd_mixer_oss 19584 1 snd_pcm_oss
snd_pcm 84612 4 snd_hda_intel,snd_hda_codec,snd_pcm_oss
snd_timer 25348 2 snd_pcm
snd 58372 10 snd_hda_intel,snd_hda_codec,snd_pcm_oss,snd_mix
er_oss,snd_pcm,snd_timer
parport_pc 37796 1
soundcore 11232 1 snd
snd_page_alloc 11400 2 snd_hda_intel,snd_pcm
parport 39496 2 lp,parport_pc
serio_raw 8452 0
hw_random 7320 0
shpchp 42144 0
pci_hotplug 32828 1 shpchp
floppy 63044 0
evdev 11392 1
intel_agp 26012 1
agpgart 34888 2 nvidia,intel_agp
pcspkr 4352 0
ext3 142728 2
jbd 62228 1 ext3
uhci_hcd 24968 0
ehci_hcd 34696 0
usbcore 134912 4 usbhid,uhci_hcd,ehci_hcd
ide_generic 2432 0
ide_cd 33696 1
cdrom 38944 1 ide_cd
jmicron 5504 0 [permanent]
ahci 20356 0
sd_mod 22656 4
generic 6276 0
ata_piix 11780 3
libata 74892 2 ahci,ata_piix
scsi_mod 144648 4 sg,ahci,sd_mod,libata
thermal 15624 0
processor 31560 2 speedstep_centrino,thermal
fan ...

Read more...

Kyle McMartin (kyle) wrote :

Ok, so it is r1000. Thanks.

Kyle McMartin (kyle) wrote :

Sigh, apparently they've reused PCI device Ids for incompatible products. Nasty.

Please attach the output of "sudo lspci -vvv" and "sudo lspci -vvxxx" to the bug report as plain text attachments, hopefully we can figure out what needs to change in the r8169 driver.

Secret (ernst1700) wrote :
Download full text (23.5 KiB)

Wow that is really good, if you can conclude anything from this piece of data. Anyway... here is the other data you requested.

sudo lspci -vvv gives me the following output:

00:00.0 Host bridge: Intel Corporation Memory Controller Hub (rev 02)
        Subsystem: ASUSTeK Computer Inc. Unknown device 81ea
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Step
ping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort+ >SERR- <PERR-
        Latency: 0
        Capabilities: [e0] Vendor Specific Information

00:01.0 PCI bridge: Intel Corporation PCI Express Root Port (rev 02) (prog-if 00
 [Normal decode])
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Step
ping- SERR+ FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
        Latency: 0, Cache Line Size: 32 bytes
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
        I/O behind bridge: 00009000-00009fff
        Memory behind bridge: fa800000-fe8fffff
        Prefetchable memory behind bridge: 00000000bfe00000-00000000dfd00000
        Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- <SERR- <PERR-
        BridgeCtl: Parity- SERR+ NoISA- VGA+ MAbort- >Reset- FastB2B-
        Capabilities: [88] #0d [0000]
        Capabilities: [80] Power Management version 3
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot
+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [90] Message Signalled Interrupts: 64bit- Queue=0/0 Enable
+
                Address: fee00000 Data: 40c1
        Capabilities: [a0] Express Root Port (Slot+) IRQ 0
                Device: Supported: MaxPayload 128 bytes, PhantFunc 0, ExtTag-
                Device: Latency L0s <64ns, L1 <1us
                Device: Errors: Correctable- Non-Fatal- Fatal- Unsupported-
                Device: RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
                Device: MaxPayload 128 bytes, MaxReadReq 128 bytes
                Link: Supported Speed 2.5Gb/s, Width x16, ASPM L0s, Port 2
                Link: Latency L0s <256ns, L1 <4us
                Link: ASPM Disabled RCB 64 bytes CommClk+ ExtSynch-
                Link: Speed 2.5Gb/s, Width x16
                Slot: AtnBtn- PwrCtrl- MRL- AtnInd- PwrInd- HotPlug- Surpise-
                Slot: Number 0, PowerLimit 0.000000
                Slot: Enabled AtnBtn- PwrFlt- MRL- PresDet- CmdCplt- HPIrq-
                Slot: AttnInd Off, PwrInd On, Power-
                Root: Correctable- Non-Fatal- Fatal- PME-

00:1a.0 USB Controller: Intel Corporation USB UHCI Controller #4 (rev 02) (prog-
if 00 [UHCI])
        Subsystem: ASUSTeK Computer Inc. Unknown device 81ec
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Step
ping- SERR- FastB2B-
        Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort
- <MAbort- >SERR- <PERR-
        Latency: 0
        Interrupt: pin A routed to IRQ 169
        Region 4: I/O ports at dc00 [size=32]

00:1a.1 USB Controller: Intel Corporation USB U...

Secret (ernst1700) wrote :
Download full text (56.8 KiB)

sudo lspci -vvxxx turns the following output on my screen:
(however all the results I just posted of sudo lspci -vvxxx, lsmod and lspci -vvv were performed on a functioning Edgy computer, while the problem was in Feisty.... but I already mentioned that before so I think the data is still valuable then. Just making sure you guys know...

00:1c.3 PCI bridge: Intel Corporation PCI Express Port 4 (rev 02) (prog-if 00 [N
ormal decode])
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Step
ping- SERR+ FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
        Latency: 0, Cache Line Size: 32 bytes
        Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
        I/O behind bridge: 0000b000-0000bfff
        Memory behind bridge: fea00000-feafffff
        Prefetchable memory behind bridge: 00000000fff00000-0000000000000000
        Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- <SERR- <PERR-
        BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
        Capabilities: [40] Express Root Port (Slot+) IRQ 0
                Device: Supported: MaxPayload 128 bytes, PhantFunc 0, ExtTag-
                Device: Latency L0s unlimited, L1 unlimited
                Device: Errors: Correctable- Non-Fatal- Fatal- Unsupported-
                Device: RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
                Device: MaxPayload 128 bytes, MaxReadReq 128 bytes
                Link: Supported Speed 2.5Gb/s, Width x1, ASPM L0s L1, Port 4
                Link: Latency L0s <256ns, L1 <4us
                Link: ASPM Disabled RCB 64 bytes CommClk+ ExtSynch-
                Link: Speed 2.5Gb/s, Width x1
                Slot: AtnBtn- PwrCtrl- MRL- AtnInd- PwrInd- HotPlug+ Surpise+
                Slot: Number 0, PowerLimit 0.000000
                Slot: Enabled AtnBtn- PwrFlt- MRL- PresDet- CmdCplt- HPIrq-
                Slot: AttnInd Unknown, PwrInd Unknown, Power-
                Root: Correctable- Non-Fatal- Fatal- PME-
        Capabilities: [80] Message Signalled Interrupts: 64bit- Queue=0/0 Enable
+
                Address: fee00000 Data: 40d1
        Capabilities: [90] #0d [0000]
        Capabilities: [a0] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot
+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-

00:1c.4 PCI bridge: Intel Corporation PCI Express Port 5 (rev 02) (prog-if 00 [N
ormal decode])
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Step
ping- SERR+ FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
        Latency: 0, Cache Line Size: 32 bytes
        Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
        I/O behind bridge: 0000a000-0000afff
        Memory behind bridge: fe900000-fe9fffff
        Prefetchable memory behind bridge: 00000000fff00000-0000000000000000
        Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- <SERR- <PERR-
        BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- F...

Kyle McMartin (kyle) wrote :

There've been some patches to add support to r8169 for more chipsets, I'll try to get these included for you to test. Alternately, I can try to bring back the r1000.ko module.

Ben Collins (ben-collins) wrote :

Confirmed bugs need to be assigned to ubuntu-kernel-team.

Changed in linux-source-2.6.20:
assignee: kyle → ubuntu-kernel-team
Tomi Urankar (tomi0) wrote :

Just installed the BETA FEISTY version on my lappy. To my big surprise the ETH0 is not being recognised. Which worked flawlesly in Edgy and Dapper.
This lappy uses the R8169 chispet for its NIC and when doing lsmod the 'r8169' module is loaded but nothing is using it.
'ifup eth0' reports that ETH0 is unknown. But 'ifconfig up eth0' brings the ethernet online. But the problem is that I must do this everytime I restart Feisty in order to have internet conectivity.

I already tried inserting this into '/etc/network/interface'
'auto eth0
iface eth0 inet dhcp'
and then restarting the network but I get an error that ETH0 does not exist.

ubunturox (ubunturox-kk) wrote :

I have installed final release of 7.04 on a laptop and forced r1000 driver. I get link up but I cant get a DHCP IP assigned. The DHCP server is handing out the IP but the NIC doesnt get one assigned.

Any help is greatly appreciated.

Thanks,
Kalyan

I got the same issue. My onboard RTL8168B is recognized but doesen't get an IP assigned. All other devices within my network are getting an IP assigned. Ethtool tells me that link is up. I have the same issue in Vista Business 32bit, so it might be a BIOS or hardware issue.

I have two more network device for testing purposes on the ubuntu pc:
A 3Com 3c950-TX, which seems to have exact the same issues.
A DWL-122 USB WLAN device, which works flawlessly

I wish they fix this ASAP. I even tried with the r1000 driver with no
success.

Kalyan

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of
Janosch Peters
Sent: Tuesday, May 15, 2007 3:59 PM
To: <email address hidden>
Subject: [Bug 79626] Re: realtek gigabit ethernet not recognised on feisty

I got the same issue. My onboard RTL8168B is recognized but doesen't get
an IP assigned. All other devices within my network are getting an IP
assigned. Ethtool tells me that link is up. I have the same issue in
Vista Business 32bit, so it might be a BIOS or hardware issue.

I have two more network device for testing purposes on the ubuntu pc:
A 3Com 3c950-TX, which seems to have exact the same issues.
A DWL-122 USB WLAN device, which works flawlessly

--
realtek gigabit ethernet not recognised on feisty
https://bugs.launchpad.net/bugs/79626
You received this bug notification because you are a direct subscriber
of the bug.

Tomi Urankar (tomi0) wrote :

still happens in feisty final with all updates.

Come on, any replies from the DEVs about this? This worked great in all previous releases why doesn't it work in Feisty

I found sth that works for me. I set my realtek 8168b to half-duplex and 10Mbit/s and now I get a DHCP offer. I used ethtool to do that: ethtool -s eth0 duplex half speed 10 autoneg off. I hope this is useful for somone else. Even if this is a workaround I would love to get at least 100MBit/s working.

I have the same problem, in notebook Toshiba A135-S4487. The diver 8169 for RTL8168/8111 doens't work, the DHCP not begin.

Changed in linux-source-2.6.20:
assignee: ubuntu-kernel-team → opatetausatecladoeomickeymouse
Changed in linux-source-2.6.20:
assignee: opatetausatecladoeomickeymouse → nobody

Did you try the "ethtool" workaround I posted here?

Janosch, i dont read the comment. Work for me, thank you very much for your atention. Exist one method for permanent config? Or all time that to want to use will have that to use the command? Thanks again.

ubunturox (ubunturox-kk) wrote :

well ... thats not exactly a fix ... so I dont want to use it.

Kalyan

Bjorn Ruud (bjorn-ruud) wrote :

There is an issue with wake-on-lan setting if you dual boot with Windows. The Gentoo wiki has some information, read the troubleshooting section almost at the top.

http://gentoo-wiki.com/HARDWARE_RTL8168

This worked for me.

Changed in linux-source-2.6.20:
assignee: nobody → ubuntu-kernel-team

@Leterp:

To apply the ethtool settings permanently:

Create a file /etc/network/if-pre-up.d/any_name_you_like

with following content:

#!/bin/sh
ethtool -s eth0 autoneg off speed 10 duplex half

The script is called every time before the network device is activated.

Rodrigo (rowdrigo) wrote :

I have the same problem. If i start my system with ethernet cable disconnect, the kernel dont recognize my connection, but qhen i start system with cable connected it works well until i desconnect the cable, when i do it the ubuntu doesnt recognize the link anymore. So i reload NIC's module. But my speed lan is correctly detected (100Mb/s) and i prefer reload the module and the networking services. Is it a kernel problem? I was using Edgy without problems, this problems appears when i upgrade my system.

Craig Sampson (ubuntu-psi-aus) wrote :

[quote]jared1999 said on 2007-06-02: (permalink)

There is an issue with wake-on-lan setting if you dual boot with Windows. The Gentoo wiki has some information, read the troubleshooting section almost at the top.

http://gentoo-wiki.com/HARDWARE_RTL8168

This worked for me.[/quote]

This is on the money. Given that we probably won't get far trying to have Realtek change the Windows driver I guess its up to the R8169/8111 kernel driver person to find out how to turn on the card again. From reading that Gentoo link it appears Realtek themselves have done some work relating to this and Kernel 2.6.

I believe this is actually a Windows driver bug - the Realtek DOS driver (used for ghosting among other things) also doesn't successfully turn the card back on after Windows has shutdown, so the issue is really at the Realtek end of things.

Regards,
Craig

Beginning with the Hardy Heron 8.04 development cycle, all open Ubuntu kernel bugs need to be reported against the "linux" kernel package. We are automatically migrating this bug to the new "linux" package. However, development has already began for the upcoming Intrepid Ibex 8.10 release. It would be helpful if you could test the upcoming release and verify if this is still an issue - http://www.ubuntu.com/testing . If the issue still exists, please update this report by changing the Status of the "linux" task from "Incomplete" to "New". We appreciate your patience and understanding as we make this transition. Thanks!

The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for the upcoming Intrepid Ibex 8.10 release. As a result, the kernel team would appreciate it if you could please test this newer 2.6.27 Ubuntu kernel. There are one of two ways you should be able to test:

1) If you are comfortable installing packages on your own, the linux-image-2.6.27-* package is currently available for you to install and test.

--or--

2) The upcoming Alpha5 for Intrepid Ibex 8.10 will contain this newer 2.6.27 Ubuntu kernel. Alpha5 is set to be released Thursday Sept 4. Please watch http://www.ubuntu.com/testing for Alpha5 to be announced. You should then be able to test via a LiveCD.

Please let us know immediately if this newer 2.6.27 kernel resolves the bug reported here or if the issue remains. More importantly, please open a new bug report for each new bug/regression introduced by the 2.6.27 kernel and tag the bug report with 'linux-2.6.27'. Also, please specifically note if the issue does or does not appear in the 2.6.26 kernel. Thanks again, we really appreicate your help and feedback.

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

Colin Ian King (colin-king) wrote :

This bug report is being closed because we received no response to the previous inquiry for information. Please reopen if this is still an issue in the current Ubuntu release, Jaunty Jackalope 9.04. To reopen the bug, click on the current status, under the Status column, and change the status back to "New". Thanks.

Changed in linux (Ubuntu):
status: Incomplete → Won't Fix
Changed in linux (Ubuntu):
assignee: nobody → colin-king
importance: Undecided → Low
Tim O'Callaghan (timo-linux) wrote :

This is a bit of a problem for me. I have a laptop Acer Aspire 5024wmli, and my Gigabit nic works under windows, but stopped working under ubuntu Karmic about a week ago.

how can i help get this one fixed?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers